with (import (builtins.fetchGit {
  name = "nixpkgs-20.03";
  url = "git@github.com:nixos/nixpkgs.git";
  rev = "5272327b81ed355bbed5659b8d303cf2979b6953";
  ref = "refs/tags/20.03";
}) {});

python38Packages.buildPythonApplication rec {
  pname = "todo";
  version = "0.1.0";

  src = ./.;

  buildInputs = [
    qt5.qtbase
    sqlite
  ];

  propagatedBuildInputs = with python38Packages; [
    pyqt5
    pytest
  ];

  makeWrapperArgs = [
    "--set QT_QPA_PLATFORM_PLUGIN_PATH ${qt5.qtbase.bin}/lib/qt-*/plugins/platforms"
    "--set QT_PLUGIN_PATH ${qt5.qtbase.bin}/lib/qt-*/plugins"
  ];

  shellHook = ''
    export QT_QPA_PLATFORM_PLUGIN_PATH="$(echo ${qt5.qtbase.bin}/lib/qt-*/plugins/platforms)"
    export QT_PLUGIN_PATH="$(echo ${qt5.qtbase.bin}/lib/qt-*/plugins)"
    export PYTHONPATH=./:$PYTHONPATH # Give access to kiosk_browser module
  '';
}
