from typing import NamedTuple, List

from todo.model.difficulty import Difficulty
from todo.model.priority import Priority

class Task(NamedTuple):
    id: int
    created_at: int
    updated_at: int
    name: str
    duration: int
    difficulty: Difficulty
    priority: Priority
    description: str

class ValidTaskForm(NamedTuple):
    name: str
    duration: int
    difficulty: Difficulty
    priority: Priority
    tags: List[int]
    description: str
